Skip to main content
Back to API List Use this API to delete a particular agent group with the given streamId and agentGroupId.
MethodDELETE
Endpointhttps://{{host}}/agentassist/api/v1/public/{{botId}}/agent-groups/{{id}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdbotId or streamId. You can get it from the App Settings page.string, required
idThe Agent Group id.string, required

Sample Request

curl --location --request DELETE \
     'https://{{host}}/agentassist/api/v1/public/{{botId}}/agent-groups/{{id}}' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \

Sample Response

{
    "id": "ag-9d1d5db-06b5-43a5-8a7c-87b12d93xxxx",
    "name": "US West Coast team",
    "description": "US west coast team handles west side",
    "managers": [
        {
            "firstName": "Charlie",
            "lastName": "Harper",
            "emailId": "username@domain.com",
            "accessLevel": "full",
            "skills": [
                {
                    "skillId": "s-21223123",
                    "proficiencyLevel": "expert"
                }
            ]
        }
    ]
}